PDA

View Full Version : Need EXTJS 3.1.0 equivalent for EXTJS 4.1



balawaves
13 Oct 2016, 12:59 AM
Hi,

We are recently upgraded ColdFusion 9 to ColdFusion 11 and we are using cfgrid for building grid.

In CF9 the extjs version 3.1.0 and in CF 11 extjs version 4.1. So due to this upgrade most of the EXTJS methods are not available and get changed in extjs version 4.1.

So please help us to find the equivalent methods in extjs 4.1 for the following

grid.getColumnModel().config[n].menuDisabled = true;

grid.getColumnModel().config[n].sortable = false;

grid.getColumnModel().setRenderer(n, Ext.util.Format.dateRenderer(‘m/d/Y’));

grid.getBottomToolbar().destroy();

grid.reconfigure(grid.getStore(), grid.getColumnModel());

grid.addListener(“rowclick”, somefunction);

grid.addListener(“rowdblclick”, somefunction);

grid.getStore().addListener(‘load’, somefunction);

grid.selModel.getSelected().data;


Thanks,
Bala.P

Kevin Jackson
13 Oct 2016, 8:35 AM
Grids created in Cold Fusion aren't supported by Ext JS. Their implementation would have to be checked in the documentation for that version most likely by looking at the source code and release notes. The other issue is that if you are just starting with 4.1 you are already quite a bit behind the curve. We are on 6.2 now and 4.1 will not be a supported product by the end of this year.

Kevin Jackson
Sencha Support Team

balawaves
14 Oct 2016, 5:19 AM
Hello Kevin,

Will version 6 support all the functionalities/methods which was supported by version 3.1.0?

Thanks for your help

Regards,
Bala.P